## launch

### Syntax:

    launch (filename);

    launchWith (program, filename); *removed starting with SLUDGE 2.0

### Purpose:

Launches a file which isn't contained within the compiled SLUDGE game, such as a help document or an order form. The filename parameter must be a string, not a file handle. The filename given should be relative to the location of the compiled SLUDGE game; that is, if the SLUDGE game is "C:\Games\SLUDGE\Here\My game.SLG", calling launch with a parameter of "docs\hello.html" would try to run "C:\Games\SLUDGE\Here\docs\hello.html". This is so that, if you distribute your game, it can be installed anywhere on a machine and the files - so long as they're distributed with the compiled game - can still be found and launched.

This function supports filename bodging - for details see the bodgeFilenames command.

### Return value:

The function returns TRUE if the file could be launched and FALSE if not.

### See also:

fileExists

SLUDGE and this SLUDGE documentation are copyright Hungry Software and contributors 2000-2012